@mixin gradient-horizontal(
  $start-color: #555,
  $end-color: #333,
  $start-percent: 0%,
  $end-percent: 100%
) {
  background-image: -webkit-linear-gradient(
    left,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Safari 5.1-6, Chrome 10+
  background-image: -o-linear-gradient(
    left,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Opera 12
  background-image: linear-gradient(
    to right,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str($start-color)}', endColorstr='#{ie-hex-str($end-color)}', GradientType=1); // IE9 and down
}

// Vertical gradient, from top to bottom
//
// Creates two color stops, start and end, by specifying a color and position for each color stop.
// Color stops are not available in IE9 and below.
@mixin gradient-vertical(
  $start-color: #555,
  $end-color: #333,
  $start-percent: 0%,
  $end-percent: 100%
) {
  background-image: -webkit-linear-gradient(
    top,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Safari 5.1-6, Chrome 10+
  background-image: -o-linear-gradient(
    top,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Opera 12
  background-image: linear-gradient(
    to bottom,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str($start-color)}', endColorstr='#{ie-hex-str($end-color)}', GradientType=0); // IE9 and down
}

@mixin gradient-directional(
  $start-color: #555,
  $end-color: #333,
  $deg: 45deg,
  $start-percent: 0%,
  $end-percent: 100%
) {
  background-repeat: repeat-x;
  background-image: -webkit-linear-gradient(
    $deg,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Safari 5.1-6, Chrome 10+
  background-image: -o-linear-gradient(
    $deg,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Opera 12
  background-image: linear-gradient(
    $deg,
    $start-color $start-percent,
    $end-color $end-percent
  ); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
}

@mixin gradient-directional-threeway(
  $start-color: #555,
  $start-percent: 0%,
  $mid-color: #333,
  $mid-percent: 50%,
  $end-color: #111,
  $end-percent: 0%,
  $deg: 45deg
) {
  background-repeat: repeat-x;
  background-image: -webkit-linear-gradient(
    $deg,
    $start-color $start-percent,
    $mid-color $mid-percent,
    $end-color $end-percent
  ); // Safari 5.1-6, Chrome 10+
  background-image: -o-linear-gradient(
    $deg,
    $start-color $start-percent,
    $mid-color $mid-percent,
    $end-color $end-percent
  ); // Opera 12
  background-image: linear-gradient(
    $deg,
    $start-color $start-percent,
    $mid-color $mid-percent,
    $end-color $end-percent
  ); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
}

@mixin font-size($sizeValue: 12) {
  font-size: $sizeValue + px; //fallback for old browsers
  font-size: (0.0625 * $sizeValue) + rem;
}

@mixin line-height($heightValue: 20) {
  line-height: $heightValue + px; //fallback for old browsers
  line-height: (0.0625 * $heightValue) + rem;
}

@mixin rhythm($sizeValue: 12, $heightValue: 20) {
  @include font-size($sizeValue);
  @include line-height($heightValue);
}

@function parseInt($n) {
  /* 2 */
  @return $n / ($n * 0 + 1);
}

@mixin rem($property, $values) {
  $px: (); /* 3 */
  $rem: (); /* 3 */

  @each $value in $values {
    /* 4 */

    @if $value == 0 or $value == auto {
      /* 5 */
      $px: append($px, $value);
      $rem: append($rem, $value);
    } @else {
      $unit: unit($value); /* 6 */
      $val: parseInt($value); /* 6 */

      @if $unit == "px" {
        /* 7 */
        $px: append($px, $value);
        $rem: append($rem, ($val / 10 + rem));
      }

      @if $unit == "rem" {
        /* 7 */
        $px: append($px, ($val * 10 + px));
        $rem: append($rem, $value);
      }
    }
  }

  @if $px == $rem {
    /* 8 */
    #{$property}: $px; /* 9 */
  } @else {
    #{$property}: $px; /* 9 */
    #{$property}: $rem; /* 9 */
  }
}

@mixin fluid(
  $min-size: 1,
  $max-size: 1.4,
  $min-width: $site-min,
  $max-width: $site-max,
  $property: font-size,
  $unit: px
) {
  #{$property}: calc(
    #{$min-size}#{$unit} + (#{$max-size} - #{$min-size}) * ((
            100vw - #{$min-width}#{$unit}
          ) / (#{$max-width} - #{$min-width}))
  );

  @media (max-width: #{$min-width}#{$unit}) {
    #{$property}: #{$min-size}#{$unit};
  }

  @media (min-width: #{$max-width}#{$unit}) {
    #{$property}: #{$max-size}#{$unit};
  }
}

@mixin font-archer-light() {
  font-family: $font-heading;
  font-style: normal;
  font-weight: 400;
}

@mixin font-archer-book() {
  font-family: $font-heading;
  font-style: normal;
  font-weight: 500;
}

@mixin font-archer-medium() {
  font-family: $font-heading;
  font-style: normal;
  font-weight: 600;
}

@mixin font-archer-semibold() {
  font-family: $font-heading;
  font-style: normal;
  font-weight: 700;
}

@mixin keyframes-transform($name, $rotate, $scale1, $scale2, $scale3, $opacity1, $opacity2, $opacity3) {
  @-webkit-keyframes #{$name} {
    0% {   -webkit-transform: $scale1 $rotate; opacity: $opacity1;}
    70% {  -webkit-transform: $scale2 $rotate; opacity: $opacity2;}
    100% { -webkit-transform: $scale3 $rotate; opacity: $opacity3;}
  }
  @keyframes #{$name} {
    0% { transform: $scale1 $rotate; opacity: $opacity1; }
    70% { transform: $scale2 $rotate; opacity: $opacity2; }
    100% { transform: $scale3 $rotate; opacity: $opacity3; }
  }
}